Package anbxj

# Class AnBx_Principal

java.lang.Object
anbxj.AnB_Principal
anbxj.AnBx_Principal

public abstract class AnBx_Principal extends AnB_Principal
AnBx Principal: An abstract agent specialised for AnBx protocols.

Extends `AnB_Principal` to add functionality or constraints specific to AnBx protocols. All constructors enforce keystore usage by default, as AnBx typically requires cryptographic operations.

Subclasses should implement protocol-specific behaviour.

- ## Field Summary

  ### Fields inherited from class anbxj.AnB_Principal

  `aliases, exchange_identities, lbs`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnBx_Principal(Crypto_KeyStoreSettings_Map kssd, Map<String,Channel_Settings> cs, Map<String,String> aliases, Crypto_Config config)`
  Constructor for AnBx Principal.
  `AnBx_Principal(String myAlias, String path, Map<String,Channel_Settings> cs, Map<String,String> aliases, Crypto_Config config)`
  Constructor for AnBx Principal with specified alias and path

- ## Method Summary

  ### Methods inherited from class anbxj.AnB_Principal

  `init, init, run, run`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnBx_Principal

    public AnBx_Principal(Crypto_KeyStoreSettings_Map kssd, Map<String,Channel_Settings> cs, Map<String,String> aliases, Crypto_Config config)
    Constructor for AnBx Principal.
    Parameters:
      `kssd` - Crypto KeyStoreSettings Map for the principal
      `cs` - Map of Channel Settings for the principal
      `aliases` - Map of aliases
      `config` - Crypto configuration for the principal

  - ### AnBx_Principal

    public AnBx_Principal(String myAlias, String path, Map<String,Channel_Settings> cs, Map<String,String> aliases, Crypto_Config config)
    Constructor for AnBx Principal with specified alias and path
    Parameters:
      `myAlias` - Alias for the principal
      `path` - Path for crypto store
      `cs` - Map of Channel Settings for the principal
      `aliases` - Map of aliases
      `config` - Crypto configuration for the principal